Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSUserElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSUserElement

All Implemented Interfaces:
  ParamElement, TextParent, XDSElement

public class XDSUserElement
extends ElementImpl
implements ParamElement

A `<user>` element.

See Also:
  `XDSAuthenticationInfoElement.extractUserElement()`, `XDSAuthenticationInfoElement.childElements()`

Method Summary
`void` | `appendText(String someText)` Appends a single, child text node containing `someText` to this element.
`String` | `extractText()` Returns the concatenated child text nodes of this element.
`String` | `getDisplayName()` Returns the display-name attribute value.
`boolean` | `hasContent()` Does this element the parent of child nodes?
`boolean` | `isContentSensitive()`
`boolean` | `isPasswordRef()`

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `ParamElement`
  Returns the display-name attribute value.

  Specified by:
    `getDisplayName` in interface `ParamElement`
  Returns:
    may return `null`; will not return "" (empty string)

### isContentSensitive

    public boolean isContentSensitive()

  Specified by:
    `isContentSensitive` in interface `ParamElement`

### isPasswordRef

    public boolean isPasswordRef()

  Specified by:
    `isPasswordRef` in interface `ParamElement`

### hasContent

    public boolean hasContent()

  Description copied from interface: `ParamElement`
  Does this element the parent of child nodes?

  Specified by:
    `hasContent` in interface `ParamElement`
  Returns:
    `true` if it does; `false` otherwise

### extractText

    public String extractText()

  Description copied from interface: `TextParent`
  Returns the concatenated child text nodes of this element.

  Invocation Context:
    READ

  Specified by:
    `extractText` in interface `TextParent`
  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`

### appendText

    public void appendText(String someText)

  Description copied from interface: `TextParent`
  Appends a single, child text node containing `someText` to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendText` in interface `TextParent`
  Parameters:
    `someText` - the text being appended; if `null` or `""`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD